{***********************************************************************
*  TKURL version 1.0                                                   *
*                                                                      *
*    Copyright  1997, 1998 - All Rights Reserved.                     *
*    Developed By: Karlos Jorge Pinto                                  *
*    E-MAIL: Karlospinto@hotmail.com                                   *
*    Visit: o---> Delphi@pt <---o in:                                  *
*    http://www.terravista.pt/bilene/1412 ---> In English/Portuguese   *
*                                                                      *
************************************************************************
*  IRC: #portugal - Undernet. Nick: kArLoS.                            *
*  This component is FREEWARE. *But* is Unregistered. If you like      *
*  To have a registered copy of this component please read the         *
*  Register.wri, for more details.                    Build n:  2/98  *
***********************************************************************}

unit KURL;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, ShellApi, stdctrls;

type
  TKURL = class(TWinControl)
  private
    { Private declarations }
    FLabel: TLabel;
    FURL: string;

    function  GetURL: string;
    procedure SetURL(s: string);
    function  GetShowHint: Boolean;
    procedure SetShowHint(B: Boolean);
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create( AOwner: TComponent ); override;
    destructor Destroy; override;
    procedure Click(Sender : TObject);
  published
    { Published declarations }
    property URL: string read GetURL write SetURL;
    property ShowHint: Boolean read GetShowHint write SetShowHint default True;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Delphi@pt', [TKURL]);
end;

constructor TKURL.Create( AOwner: TComponent );
begin
  inherited Create(AOwner);

  Height := 13;
  Width := 178;
  Cursor := crHandPoint;
  Hint := 'Go to the Delphi@pt site';

  FLabel := TLabel.Create(self);
  FLabel.Visible := true;
  FLabel.Font.Color := clBlue;
  FLabel.Font.Style := [fsUnderline];
  FLabel.Parent := Self;
  FLabel.OnClick := Click;
  FLabel.Caption := 'http://www.terravista.pt/bilene/1412';
  FLabel.ShowHint := True;
end;

destructor TKURL.Destroy;
begin
  FLabel:=nil;
  inherited Destroy;
end;

procedure TKURL.Click(Sender : TObject);
begin

  ShellExecute(Handle , 'open', PChar(FLabel.Caption), nil, nil, SW_MAXIMIZE);
end;

function TKURL.GetURL: string;
begin
  result := FLabel.Caption;
end;

procedure TKURL.SetURL(s : String);
begin
  FLabel.Caption := s;
end;

function TKURL.GetShowHint : Boolean;
begin
  result:=FLabel.ShowHint;
end;

procedure TKURL.SetShowHint(B : Boolean);
begin
  FLabel.ShowHint:=b;
end;

end.
